Bug 977569 - [abrt] telepathy-haze-0.7.0-3.fc19: haze_contact_list_request_subscription: Process /usr/libexec/telepathy-haze was killed by signal 6 (SIGABRT)
[abrt] telepathy-haze-0.7.0-3.fc19: haze_contact_list_request_subscription: P...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: telepathy-haze (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:367be36fd6a1002f3614babee62...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 19:14 EDT by David Woodhouse
Modified: 2015-02-17 10:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:41:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.07 KB, text/plain)
2013-06-24 19:14 EDT, David Woodhouse
no flags Details
File: cgroup (142 bytes, text/plain)
2013-06-24 19:14 EDT, David Woodhouse
no flags Details
File: core_backtrace (2.63 KB, text/plain)
2013-06-24 19:14 EDT, David Woodhouse
no flags Details
File: dso_list (9.86 KB, text/plain)
2013-06-24 19:14 EDT, David Woodhouse
no flags Details
File: environ (3.58 KB, text/plain)
2013-06-24 19:14 EDT, David Woodhouse
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-24 19:14 EDT, David Woodhouse
no flags Details
File: maps (47.63 KB, text/plain)
2013-06-24 19:15 EDT, David Woodhouse
no flags Details
File: open_fds (421 bytes, text/plain)
2013-06-24 19:15 EDT, David Woodhouse
no flags Details
File: proc_pid_status (965 bytes, text/plain)
2013-06-24 19:15 EDT, David Woodhouse
no flags Details

  None (edit)
Description David Woodhouse 2013-06-24 19:14:41 EDT
Version-Release number of selected component:
telepathy-haze-0.7.0-3.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/telepathy-haze
crash_function: haze_contact_list_request_subscription
executable:     /usr/libexec/telepathy-haze
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jun 24 23:34:51 shinybook abrt[11965]: Saved core dump of pid 7173 (/usr/libexec/telepathy-haze) to /var/tmp/abrt/ccpp-2013-06-24-23:34:50-7173 (7200768 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 haze_contact_list_request_subscription at contact-list.c:537
 #5 haze_contact_list_request_subscription_async at contact-list.c:563
 #6 tp_base_contact_list_mixin_request_subscription at base-contact-list.c:5147
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:522
 #9 g_cclosure_marshal_generic at gclosure.c:1454
 #10 invoke_object_method at dbus-gobject.c:1899
 #11 object_registration_message at dbus-gobject.c:2161
 #12 _dbus_object_tree_dispatch_and_unlock at dbus-object-tree.c:862
 #19 tp_run_connection_manager at run.c:285

Potential duplicate: bug 875340
Comment 1 David Woodhouse 2013-06-24 19:14:45 EDT
Created attachment 764802 [details]
File: backtrace
Comment 2 David Woodhouse 2013-06-24 19:14:47 EDT
Created attachment 764803 [details]
File: cgroup
Comment 3 David Woodhouse 2013-06-24 19:14:50 EDT
Created attachment 764804 [details]
File: core_backtrace
Comment 4 David Woodhouse 2013-06-24 19:14:53 EDT
Created attachment 764805 [details]
File: dso_list
Comment 5 David Woodhouse 2013-06-24 19:14:56 EDT
Created attachment 764806 [details]
File: environ
Comment 6 David Woodhouse 2013-06-24 19:14:59 EDT
Created attachment 764807 [details]
File: limits
Comment 7 David Woodhouse 2013-06-24 19:15:02 EDT
Created attachment 764808 [details]
File: maps
Comment 8 David Woodhouse 2013-06-24 19:15:05 EDT
Created attachment 764809 [details]
File: open_fds
Comment 9 David Woodhouse 2013-06-24 19:15:08 EDT
Created attachment 764810 [details]
File: proc_pid_status
Comment 10 David Woodhouse 2013-06-24 19:22:06 EDT
I had received a chat from a user not previously in my buddy list. The only way to interact was via the GNOME notification pop-ups, which would disappear after a few seconds and leave me no way to respond until the other party said something else. (This is a really crappy UI, btw. Why is there no 'open chat window' button in that pop-up?)

It seems that the only way to open a chat window is to *add* the contact to my buddy list, by manually typing their address. And *then* I can see them.

I'd had exactly the same thing earlier, and had added a user using their first.lastname@intel.com address. But I ended up having to restart empathy because it didn't associate them with the existing incoming messages until I did that.

So this time I received a chat from a new person, I added them by typing their sip:albert.golem...@intel.com into the 'Add contact' box. That seemed to work slightly better, and I didn't need to restart empathy to open a chat window containing the existing history. It was going well until empathy crashed...

(haze:7173): tp-glib/presence-DEBUG: tp_presence_mixin_simple_presence_fill_contact_attributes: get_contact_statuses failed: Presence for 47 unknown; subscribe to them first
purple/blist-Message: Updating buddy status for sip:anas.nashif@intel.com (Office Communicator)
(haze:7173): haze-DEBUG: update_status: sip:anas.nashif@intel.com changed to status away
(haze:7173): tp-glib/presence-DEBUG: tp_presence_mixin_emit_one_presence_update: called.
(haze:7173): tp-glib/presence-DEBUG: tp_presence_mixin_emit_presence_update: called.
(haze:7173): tp-glib/presence-DEBUG: construct_presence_hash: called.
(haze:7173): tp-glib/presence-DEBUG: construct_simple_presence_hash: called.
purple/blist-Message: Updating buddy status for sip:samx.huston@intel.com (Office Communicator)
(haze:7173): haze-DEBUG: update_status: sip:samx.huston@intel.com changed to status available
(haze:7173): tp-glib/presence-DEBUG: tp_presence_mixin_emit_one_presence_update: called.
(haze:7173): tp-glib/presence-DEBUG: tp_presence_mixin_emit_presence_update: called.
(haze:7173): tp-glib/presence-DEBUG: construct_presence_hash: called.
(haze:7173): tp-glib/presence-DEBUG: construct_simple_presence_hash: called.
(haze:7173): haze-DEBUG: _get_contact_statuses: [david.woodhouse@intel.com,david.woodhouse@intel.com] sip:albert.golembiowski@intel.com isn't on the blist, ergo no status!
(haze:7173): tp-glib/presence-DEBUG: tp_presence_mixin_simple_presence_fill_contact_attributes: get_contact_statuses failed: Presence for 47 unknown; subscribe to them first
(haze:7173): haze-DEBUG: _get_contact_statuses: [david.woodhouse@intel.com,david.woodhouse@intel.com] sip:albert.golembiowski@intel.com isn't on the blist, ergo no status!
(haze:7173): tp-glib/presence-DEBUG: tp_presence_mixin_simple_presence_fill_contact_attributes: get_contact_statuses failed: Presence for 47 unknown; subscribe to them first
(haze:7173): tp-glib/misc-DEBUG: tp_message_to_text: Parsing part 1, type text/plain, alternative (null)
(haze:7173): tp-glib/misc-DEBUG: tp_message_to_text: ... is text/plain
(haze:7173): tp-glib/misc-DEBUG: tp_message_to_text: ... using its text
(haze:7173): haze-DEBUG: _get_contact_statuses: [david.woodhouse@intel.com,david.woodhouse@intel.com] sip:albert.golembiowski@intel.com isn't on the blist, ergo no status!
(haze:7173): tp-glib/presence-DEBUG: tp_presence_mixin_simple_presence_fill_contact_attributes: get_contact_statuses failed: Presence for 47 unknown; subscribe to them first
(haze:7173): haze-DEBUG: _get_contact_statuses: [david.woodhouse@intel.com,david.woodhouse@intel.com] sip:albert.golembiowski@intel.com isn't on the blist, ergo no status!
(haze:7173): tp-glib/presence-DEBUG: tp_presence_mixin_simple_presence_fill_contact_attributes: get_contact_statuses failed: Presence for 47 unknown; subscribe to them first
(haze:7173): haze-DEBUG: _get_contact_statuses: [david.woodhouse@intel.com,david.woodhouse@intel.com] sip:albert.golembiowski@intel.com isn't on the blist, ergo no status!
(haze:7173): tp-glib/presence-DEBUG: tp_presence_mixin_simple_presence_fill_contact_attributes: get_contact_statuses failed: Presence for 47 unknown; subscribe to them first
(haze:7173): haze-DEBUG: get_alias: sip:albert.golembiowski@intel.com not on blist
(haze:7173): haze-DEBUG: get_alias: sip:albert.golembiowski@intel.com has alias "sip:albert.golembiowski@intel.com"
(haze:7173): haze-DEBUG: _get_contact_statuses: [david.woodhouse@intel.com,david.woodhouse@intel.com] sip:albert.golembiowski@intel.com isn't on the blist, ergo no status!
(haze:7173): tp-glib/presence-DEBUG: tp_presence_mixin_simple_presence_fill_contact_attributes: get_contact_statuses failed: Presence for 47 unknown; subscribe to them first
(haze:7173): haze-DEBUG: get_alias: sip:albert.golembiowski@intel.com not on blist
(haze:7173): haze-DEBUG: get_alias: sip:albert.golembiowski@intel.com has alias "sip:albert.golembiowski@intel.com"
(haze:7173): haze-DEBUG: _get_contact_statuses: [david.woodhouse@intel.com,david.woodhouse@intel.com] sip:albert.golembiowski@intel.com isn't on the blist, ergo no status!
(haze:7173): tp-glib/presence-DEBUG: tp_presence_mixin_simple_presence_fill_contact_attributes: get_contact_statuses failed: Presence for 47 unknown; subscribe to them first
(haze:7173): tp-glib/contact-lists-DEBUG: tp_base_contact_list_contacts_changed_internal: Contact sip:albert.golembiowski@intel.com: subscribe=Y publish=? ''
emit_members_changed_signals: emitting members changed
  message       : ""
  added         : [47 (sip:albert.golembiowski@intel.com)]
  removed       : []
  local_pending : []
  remote_pending: []
  actor         : 47
  reason        : 0: unspecified reason
(haze:7173): tp-glib/groups-DEBUG: change_members: not emitting signal, nothing changed
(haze:7173): tp-glib/groups-DEBUG: change_members: not emitting signal, nothing changed
(haze:7173): tp-glib/groups-DEBUG: change_members: not emitting signal, nothing changed
(haze:7173): tp-glib/groups-DEBUG: change_members: not emitting signal, nothing changed
(haze:7173): tp-glib/groups-DEBUG: change_members: not emitting signal, nothing changed
emit_members_changed_signals: emitting members changed
  message       : ""
  added         : [47 (sip:albert.golembiowski@intel.com)]
  removed       : []
  local_pending : []
  remote_pending: []
  actor         : 0
  reason        : 0: unspecified reason
(haze:7173): tp-glib/contact-lists-DEBUG: tp_base_contact_list_contacts_changed_internal: ContactsChanged([1 changed], [0 removed])
(haze:7173): tp-glib/contact-lists-DEBUG: tp_base_contact_list_groups_changed: Changing up to 1 contacts, adding 1 groups, removing 0
(haze:7173): tp-glib/contact-lists-DEBUG: tp_base_contact_list_groups_changed: Adding 1 contacts to group 'Buddies'
emit_members_changed_signals: emitting members changed
  message       : ""
  added         : [47 (sip:albert.golembiowski@intel.com)]
  removed       : []
  local_pending : []
  remote_pending: []
  actor         : 1
  reason        : 0: unspecified reason
(haze:7173): tp-glib/contact-lists-DEBUG: tp_base_contact_list_groups_changed: GroupsChanged([1 contacts], [1 groups], [0 groups])
purple/dnsquery-Message: Performing DNS lookup for fmcspool01.cps.intel.com
purple/stun-Message: using server
purple/stun-Message: using server

(haze:7173): purple/dns-WARNING **: Wait for DNS child 7523 failed: No child processes
purple/dns-Message: Created new DNS child 11963, there are now 1 children.
purple/dns-Message: Successfully sent DNS request to child 11963
purple/dns-Message: Got response for 'fmcspool01.cps.intel.com'
purple/dnsquery-Message: IP resolved for fmcspool01.cps.intel.com
purple/proxy-Message: Attempting connection to 10.18.17.86
purple/proxy-Message: Connecting to fmcspool01.cps.intel.com:443 with no proxy
purple/proxy-Message: Connection in progress
purple/proxy-Message: Connecting to fmcspool01.cps.intel.com:443.
purple/proxy-Message: Connected to fmcspool01.cps.intel.com:443.
purple/stun-Message: using server
purple/nss-Message: subject=CN=fmcspool01.amr.corp.intel.com issuer=CN=Intel Intranet Basic Issuing CA 2B,O=Intel Corporation,C=US
purple/nss-Message: subject=CN=Intel Intranet Basic Issuing CA 2B,O=Intel Corporation,C=US issuer=CN=Intel Intranet Basic Policy CA,O=Intel Corporation,C=US
purple/nss-Message: subject=CN=Intel Intranet Basic Policy CA,O=Intel Corporation,C=US issuer=CN=Intel Root CA,O=Intel Corporation,C=US
purple/nss-Message: subject=CN=Intel Root CA,O=Intel Corporation,C=US issuer=CN=Intel Root CA,O=Intel Corporation,C=US
purple/certificate/x509/tls_cached-Message: Starting verify for fmcspool01.cps.intel.com
purple/certificate/x509/tls_cached-Message: Checking for cached cert...
purple/certificate/x509/tls_cached-Message: ...Found cached cert
purple/nss/x509-Message: Loading certificate from /tmp/haze-gudsFw/certificates/x509/tls_peers/fmcspool01.cps.intel.com
purple/certificate/x509/tls_cached-Message: Peer cert matched cached
purple/nss/x509-Message: Exporting certificate to /tmp/haze-gudsFw/certificates/x509/tls_peers/fmcspool01.cps.intel.com
purple/util-Message: Writing file /tmp/haze-gudsFw/certificates/x509/tls_peers/fmcspool01.cps.intel.com
purple/certificate-Message: Successfully verified certificate for fmcspool01.cps.intel.com
**
haze:ERROR:contact-list.c:537:haze_contact_list_request_subscription: assertion failed: (purple_find_buddy (account, bname) == NULL)
Aborted (core dumped)
Comment 11 Fedora End Of Life 2015-01-09 13:31:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 10:41:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.